=== debian/changelog ===
smokeqt (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:25:49 +0000

smokeqt (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:36:13 +0000

smokeqt (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:51:38 +0100

smokeqt (4:4.9.95-0ubuntu2) raring; urgency=low

  * Bump minimum smoke-dev-tools version to 4:4.9.95 to fix FTBFS (does not
    build with the older versions)
  * Add Kubuntu team Vcs-* to debian/control

 -- Scott Kitterman <scott@kitterman.com>  Fri, 21 Dec 2012 18:40:19 -0500

smokeqt (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release
  * New files in libsmokeqt4-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:52:10 +0000

smokeqt (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:21:43 +0000

smokeqt (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:29:10 +0000

smokeqt (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:53:14 +0100

smokeqt (4:4.8.0-1) raring; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 09 Feb 2012 21:13:59 -0500
