## smokeqt 4.10.2

=== debian/changelog ===
smokeqt (4:4.10.2-0ubuntu3) raring; urgency=low

  * Remove qwt, it's not in main

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Apr 2013 15:13:15 +0100

smokeqt (4:4.10.2-0ubuntu2) raring; urgency=low

  * Add back qwt package on request

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 16 Apr 2013 13:01:03 +0100

smokeqt (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:07:13 +0200

smokeqt (4:4.10.1-0ubuntu2) raring; urgency=low

  * No change rebuild for libqscintilla2-9 transition

 -- Scott Kitterman <scott@kitterman.com>  Thu, 07 Mar 2013 09:04:37 -0500

smokeqt (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 17:03:01 +0000
