=== debian/control ===
--- 
+++ 
@@ -283,4 +283,3 @@
 # multiple languages such as Ruby, C# and PHP.
 # .
 # This is part of the SMOKE Qt module.
-
