## smokeqt 4.11.2

=== debian/changelog ===
smokeqt (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 15:02:47 +0100

smokeqt (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:46:23 +0100

smokeqt (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:46:53 +0100

smokeqt (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:16:14 +0100

smokeqt (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:42 +0000

smokeqt (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:36:57 +0100

smokeqt (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 02:05:30 +0100

smokeqt (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:59:55 +0100

smokeqt (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, no remaining changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:05:02 +0000

smokeqt (4:4.10.2-2) experimental; urgency=low

  * Bump build-deps.
  * Bump deps in -dev packages.

 -- Sune Vuorela <sune@debian.org>  Sun, 07 Apr 2013 18:06:10 +0000

smokeqt (4:4.10.2-1) experimental; urgency=low

  * New upstream release
  * Update installed files

 -- Sune Vuorela <sune@debian.org>  Sun, 07 Apr 2013 11:00:04 +0000
