## smokeqt 4.11.3

=== debian/changelog ===
smokeqt (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 19:28:34 +0100

smokeqt (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 16:25:00 +0200

smokeqt (4:4.10.5-2) unstable; urgency=low

  * Team upload.
  * Add the pkg-config build dependency.
  * Fix Vcs-Git header.

 -- Pino Toscano <pino@debian.org>  Wed, 04 Sep 2013 16:52:33 +0200

smokeqt (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 17:52:30 +0200

smokeqt (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Update watch file.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 18:18:51 +0200
