=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: smokeqt
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Torsten Marek <shlomme@debian.org>,
+           Sune Vuorela <sune@debian.org>,
+           David Palacio <dpalacio@orbitalibre.org>,
+           Michael Meskes <meskes@debian.org>,
+           Maximiliano Curia <maxy@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.9.95), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
+ pkg-config,
+ smoke-dev-tools (>= 4:4.11), libqt4-dev, libqt4-opengl-dev, libqtwebkit-dev,
  libphonon-dev, libqimageblitz-dev, libqscintilla2-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokeqt
-X-Vcs-Debian-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokeqt.git
-X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokeqt.git;a=summary
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokeqt
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/smokeqt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokeqt.git;a=summary
 
 Package: libsmokeqsci3
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -261,7 +263,7 @@
 
 Package: libsmokeqt4-dev
 Section: libdevel
-Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools
+Depends: ${so:Depends}, ${misc:Depends}, smoke-dev-tools (>> 4:4.10)
 Architecture: any
 Description: Development files for Qt SMOKE libraries
  SMOKE libraries are part of the bindings used for Qt and KDE. This package
@@ -283,3 +285,4 @@
 # multiple languages such as Ruby, C# and PHP.
 # .
 # This is part of the SMOKE Qt module.
+
