=== debian/changelog ===
smokeqt (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:34 +0200

smokeqt (4:4.12.2-1) experimental; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:35 +0100
